import { isString } from 'lodash';
import { useEffect, useRef, useState } from 'react';
import { SSR_ENV } from '@react-devui/utils';
export function useElement(selector) {
    const [el, setEl] = useState(() => {
        if (SSR_ENV) {
            return null;
        }
        else {
            return isString(selector) ? document.querySelector(selector) : selector();
        }
    });
    const prevEl = useRef(el);
    // eslint-disable-next-line react-hooks/exhaustive-deps
    useEffect(() => {
        let el = prevEl.current;
        if (isString(selector)) {
            el = document.querySelector(selector);
        }
        else {
            el = selector();
        }
        if (el !== prevEl.current) {
            prevEl.current = el;
            setEl(el);
        }
    });
    return el;
}
//# sourceMappingURL=useElement.js.map