import { isFunction } from 'lodash';
import { useCallback } from 'react';
function setRef(ref, value) {
    if (isFunction(ref)) {
        ref(value);
    }
    else if (!!ref && 'current' in ref) {
        ref.current = value;
    }
}
export function useForkRef(refA, refB) {
    return useCallback((refValue) => {
        setRef(refA, refValue);
        setRef(refB, refValue);
    }, [refA, refB]);
}
//# sourceMappingURL=useForkRef.js.map